# QCA::Synchronizer Class Reference

Enable synchronization between two threads. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::Synchronizer:

Collaboration diagram for QCA::Synchronizer:

[legend]

List of all members.

## Public Member Functions

void | conditionMet ()
| Synchronizer (QObject *parent)
bool | waitForCondition (int msecs=-1)

## Detailed Description

Enable synchronization between two threads.

## Constructor & Destructor Documentation

QCA::Synchronizer::Synchronizer | ( | QObject * | parent | ) |

Standard constructor.

Parameters:

  | parent | the parent object to this object

## Member Function Documentation

void QCA::Synchronizer::conditionMet | ( |  | ) |

Call to continue execution in the paused thread.

bool QCA::Synchronizer::waitForCondition | ( | int | msecs = `-1` | ) |

Call to pause execution in this thread.

This function will block until conditionMet() is called.

Parameters:

  | msecs | the time to wait before proceeding. The default timeout value (-1) indicates to wait indefinitely.

The documentation for this class was generated from the following file:

- qca_support.h